Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class MultipleCompilationErrorsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.control.CompilationFailedException
                          org.codehaus.groovy.control.MultipleCompilationErrorsException

All Implemented Interfaces:
  Serializable

    public class MultipleCompilationErrorsException

extends CompilationFailedException

Author:
  Jochen Theodorou
See Also:
  Serialized Form

Field Summary
`protected ErrorCollector` | `collector`

Fields inherited from class org.codehaus.groovy.control.CompilationFailedException
`phase, unit`

Constructor Summary
`MultipleCompilationErrorsException(ErrorCollector ec)`

Method Summary
`ErrorCollector` | `getErrorCollector()`
`String` | `getMessage()`

Methods inherited from class org.codehaus.groovy.control.CompilationFailedException
`getUnit`

Methods inherited from class groovy.lang.GroovyRuntimeException
`getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### collector

    protected ErrorCollector collector

Constructor Detail

### MultipleCompilationErrorsException

    public MultipleCompilationErrorsException(ErrorCollector ec)

Method Detail

### getErrorCollector

    public ErrorCollector getErrorCollector()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `GroovyRuntimeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD